aboutsummaryrefslogtreecommitdiff
path: root/repo/git/kiss-maintainer
diff options
context:
space:
mode:
Diffstat (limited to 'repo/git/kiss-maintainer')
-rwxr-xr-xrepo/git/kiss-maintainer18
1 files changed, 18 insertions, 0 deletions
diff --git a/repo/git/kiss-maintainer b/repo/git/kiss-maintainer
new file mode 100755
index 0000000..629a893
--- /dev/null
+++ b/repo/git/kiss-maintainer
@@ -0,0 +1,18 @@
+#!/bin/sh -ef
+# Find the maintainer of a package
+
+# Copyright (C) 2019-2020 Dylan Araps.
+# Copyright (C) 2929 Cem Keylan.
+# Distributed under the terms of the MIT License
+
+case "$1" in ''|--help|-h) printf '\033[1;33m-> \033[m%s\n' "usage: ${0##*/} <pkg>" ; exit 0 ; esac
+
+kiss s "$1" | while read -r repo; do cd "$repo"
+ m=$(git log -1 version 2>/dev/null) ||:
+ m=${m##*Author: }
+ m=${m%%>*}
+
+ [ "$m" ] || continue
+
+ printf '=> %s\n%s>\n' "$PWD" "$m"
+done